Skip to content

upsertSupplierQuoteLine

WRITE

Upsert supplier quote line.

POST /api/v1/purchasing/upsertSupplierQuoteLine
curl -X POST '<your-host>/api/v1/purchasing/upsertSupplierQuoteLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierQuoteId": "string",
    "supplierQuoteLineType": "Part",
    "quantity": []
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Part""Material""Tool""Consumable""Service""G/L Account"

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierQuoteId": {
      "type": "string"
    },
    "supplierQuoteLineType": {
      "type": "string",
      "enum": [
        "Part",
        "Material",
        "Tool",
        "Consumable",
        "Service",
        "G/L Account"
      ]
    },
    "itemId": {
      "type": "string"
    },
    "accountId": {
      "type": "string"
    },
    "costCenterId": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "supplierPartId": {
      "type": "string"
    },
    "inventoryUnitOfMeasureCode": {
      "type": "string"
    },
    "purchaseUnitOfMeasureCode": {
      "type": "string"
    },
    "conversionFactor": {
      "type": "number"
    },
    "requiredDate": {
      "type": "string"
    },
    "quantity": {
      "type": "array",
      "items": {
        "type": "number",
        "minimum": 0.00001
      }
    },
    "customFields": {},
    "id": {
      "type": "string"
    }
  },
  "required": [
    "supplierQuoteId",
    "supplierQuoteLineType",
    "quantity"
  ]
}